| Home | Libraries | People | FAQ | More

##### boost::mqtt5::logger::at_disconnect

Outputs the contents of the `DISCONNECT` packet sent by the Broker.

###### Synopsis

    void
    at_disconnect(
        boost::mqtt5::reason_code rc,
        const disconnect_props& dc_props);

###### Parameters

Name | Description
--- | ---
`rc` | Reason Code in the received `DISCONNECT` packet indicating the reason behind the disconnection.
`dc_props` | `boost::mqtt5::disconnect_props` received in the `DISCONNECT` packet.